Retrieve a list of LinkedIn campaigns or campaign groups with reporting data

http
GET https://services.leadconnectorhq.com/ad-publishing/linkedin/reporting/list

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesAccount ID
listTypestringYesList type
campaignIdstringYesCampaign ID
campaignGroupIdstringYesCampaign group ID
startDatestringYes2024-01-01Start date in yyyy-mm-dd format
endDatestringYes2024-01-31End date in yyyy-mm-dd format
fieldsstring[]NoComma-separated list of fields to retrieve

Responses

200 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/linkedin/reporting/list' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?